Index: LinearAlgebra/configure.ac
===================================================================
--- LinearAlgebra/configure.ac	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/configure.ac	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -3,5 +3,5 @@
 
 AC_PREREQ(2.59)
-AC_INIT(LinearAlgebra, 1.0.3, [heber@ins.uni-bonn.de], [molecuilder], [http://trac.ins.uni-bonn.de/projects/molecuilder/])
+AC_INIT(LinearAlgebra, 1.0.3, [heber@ins.uni-bonn.de], [linearalgebra], [http://trac.ins.uni-bonn.de/projects/molecuilder/])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_SRCDIR([src/LinearAlgebra/Vector.cpp])
Index: LinearAlgebra/src/documentation/groups.dox
===================================================================
--- LinearAlgebra/src/documentation/groups.dox	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/src/documentation/groups.dox	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -14,2 +14,9 @@
  *    Author: heber
  */
+
+/**
+ * \page groups Grouping
+ *
+ * \date 2011-11-02
+ *
+ */
Index: LinearAlgebra/src/documentation/mainpage.dox
===================================================================
--- LinearAlgebra/src/documentation/mainpage.dox	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/src/documentation/mainpage.dox	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -24,4 +24,7 @@
 /*! \mainpage Linear Algebra - a C++ wrapper for the linear algebra part of GSL.
  *
+ *
+ * \date 2011-11-02
+ *
  */
 
Index: LinearAlgebra/tests/CodeChecks/Makefile.am
===================================================================
--- LinearAlgebra/tests/CodeChecks/Makefile.am	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/tests/CodeChecks/Makefile.am	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -5,4 +5,5 @@
 	testsuite.at \
 	testsuite-config_h.at \
+	testsuite-date_in_dox.at \
 	testsuite-memdebug.at \
 	$(TESTSUITE)
@@ -12,6 +13,7 @@
 
 TESTSCRIPTS = \
-	testsuite-memdebug.at \
-	testsuite-config_h.at
+	testsuite-config_h.at \
+	testsuite-date_in_dox.at \
+	testsuite-memdebug.at
 
 max_jobs = 4
@@ -25,9 +27,15 @@
 		esac; \
 	done; \
-	$(SHELL) '$(TESTSUITE)' $$nrjobs $(TESTSUITEFLAGS)
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(abs_top_builddir)/src' $(TESTSUITEFLAGS)
 
 installcheck-local: atconfig atlocal $(TESTSUITE)
-	$(SHELL) '$(TESTSUITE)' AUTOTEST_PATH='$(bindir)' \
-	$(TESTSUITEFLAGS)
+	nrjobs=; \
+	for flag in $$MAKEFLAGS; do \
+		case $$flag in \
+		--* | =*=) ;; \
+		*j*) nrjobs="-j$(max_jobs)" ;; \
+		esac; \
+	done; \
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(bindir)' $(TESTSUITEFLAGS)
 
 clean-local:
Index: LinearAlgebra/tests/CodeChecks/testsuite-config_h.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-config_h.at	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/tests/CodeChecks/testsuite-config_h.at	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -1,4 +1,4 @@
 AT_SETUP([Checking for present config.h include])
-AT_KEYWORDS([CodeCheck,MemDebug])
+AT_KEYWORDS([CodeCheck config_h])
 m4_include(atlocal)
 ok=""
Index: LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at	(revision f281c570d3846adae28ef56f504a320da69c7929)
+++ LinearAlgebra/tests/CodeChecks/testsuite-date_in_dox.at	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -0,0 +1,25 @@
+AT_SETUP([Checking for present date stamp in .dox files])
+AT_KEYWORDS([CodeCheck dox date_in_dox])
+ok=""
+echo `pwd`
+echo "${#ok[*]} are ok to not contain date in .dox: ${ok[*]}."
+liste=`find ${abs_top_srcdir}/src -name '*.dox'`
+for file in $liste
+do
+  # check whether its one of the excluded ones
+  found=0
+  for item in $ok
+  do
+    if test "$item" == "`basename $file`"
+    then
+      found=1
+      break
+    fi
+  done
+  # if not, check whether it contains the include
+  if test $found -eq 0
+  then
+    AT_CHECK([egrep -q '\date [[0-9]]{4}-[[0-2]][[0-9]]-[[0-3]][[0-9]]' $file], 0, [ignore], [ignore], [echo "Could not find date stamp in $file."])
+  fi
+done
+AT_CLEANUP
Index: LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/tests/CodeChecks/testsuite-memdebug.at	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -1,4 +1,4 @@
 AT_SETUP([Checking for present MemDebug.hpp include])
-AT_KEYWORDS([CodeCheck,MemDebug])
+AT_KEYWORDS([CodeCheck MemDebug])
 m4_include(atlocal)
 ok="builder.cpp MemDebug.cpp SubspaceFactorizer.cpp TestRunner.cpp"
Index: LinearAlgebra/tests/CodeChecks/testsuite.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite.at	(revision 3158e6e7748f2252aa12f1b10e68729ed45ca9fd)
+++ LinearAlgebra/tests/CodeChecks/testsuite.at	(revision f281c570d3846adae28ef56f504a320da69c7929)
@@ -4,5 +4,5 @@
 # In pre initial files are placed, in post results can be found to be checked by diff in this testsuite.
 
-AT_INIT([Molecular Builder])
+AT_INIT([Linear Algebra])
 AT_TESTED(egrep find grep)
 
@@ -10,6 +10,10 @@
 m4_ifdef([AT_COLOR_TESTS], [AT_COLOR_TESTS])
 
-AT_BANNER([MoleCuilder - Code Checks])
+AT_BANNER([LinearAlgebra - Code Checks])
+m4_include(atlocal)
+
 m4_include(testsuite-memdebug.at)
 
 m4_include(testsuite-config_h.at)
+
+m4_include(testsuite-date_in_dox.at)
